package intrinsic.flash.media;

public class Camera extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public int width;
	public int keyFrameInterval;
	public double currentFPS;
	public int quality;
	public int motionTimeout;
	public int index;
	public boolean loopback;
	public double fps;
	public int motionLevel;
	public int height;
	public int bandwidth;
	public boolean muted;
	public double activityLevel;
	public String name;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.Array names;

	/** Class variables */

/** Contructors */
public Camera() {
}


/** Static Methods */
public static native intrinsic.flash.media.Camera getCamera();
public static native intrinsic.flash.media.Camera getCamera(String arg0);

/** Methods */
public native void setMotionLevel(int arg0);
public native void setMotionLevel(int arg0, int arg1);
public native void setMode(int arg0, int arg1, double arg2);
public native void setMode(int arg0, int arg1, double arg2, boolean arg3);
public native void setQuality(int arg0, int arg1);
public native void setLoopback();
public native void setLoopback(boolean arg0);
public native void setKeyFrameInterval(int arg0);
public native void setCursor(boolean arg0);

}
